List PostgreSQL versions
Retrieves a list of all PostgreSQL versions available for this cluster including the current version.
You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.
The unique ID of the cluster.
498ae72f-411f-11eb-9d07-046c59cc737eSuccessful operation.
List of PostgreSQL versions.
Any erroneous status code: 400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient permissions), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), 503 (maintenance)
GET /databases/postgresql/clusters/{clusterId}/postgresversions HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
"data": [
{
"name": "14"
}
]
}Last updated
Was this helpful?